Package org.springframework.core.io.buffer

# Interface TouchableDataBuffer

All Superinterfaces:
  `DataBuffer`

All Known Subinterfaces:
  `PooledDataBuffer`

All Known Implementing Classes:
  `JettyDataBuffer`, `Netty5DataBuffer`, `NettyDataBuffer`

public interface TouchableDataBuffer extends DataBuffer
Extension of `DataBuffer` that allows for buffers that can be given hints for debugging purposes.

Since:
  6.0
Author:
  Arjen Poutsma

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.core.io.buffer.DataBuffer

`DataBuffer.ByteBufferIterator`

## Method Summary

Modifier and Type
Method
Description
`TouchableDataBuffer`
`touch(Object hint)`
Associate the given hint with the data buffer for debugging purposes.

### Methods inherited from interface org.springframework.core.io.buffer.DataBuffer

`asByteBuffer, asByteBuffer, asInputStream, asInputStream, asOutputStream, capacity, capacity, ensureCapacity, ensureWritable, factory, getByte, indexOf, lastIndexOf, read, read, read, readableByteBuffers, readableByteCount, readPosition, readPosition, retainedSlice, slice, split, toByteBuffer, toByteBuffer, toByteBuffer, toByteBuffer, toString, toString, writableByteBuffers, writableByteCount, write, write, write, write, write, write, writePosition, writePosition`

## Method Details

### touch

TouchableDataBuffer touch(Object hint)
Associate the given hint with the data buffer for debugging purposes.

Returns:
  this buffer